Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class ClientContextConfigurer

    java.lang.Object
      org.apache.http.client.protocol.ClientContextConfigurer

All Implemented Interfaces:
  ClientContext

    @NotThreadSafe
    public class ClientContextConfigurer

extends Object
implements ClientContext

Configuration facade for `HttpContext` instances.

Since:
  4.0

Field Summary

Fields inherited from interface org.apache.http.client.protocol.ClientContext
`AUTH_CACHE, AUTH_SCHEME_PREF, AUTHSCHEME_REGISTRY, COOKIE_ORIGIN, COOKIE_SPEC, COOKIE_STORE, COOKIESPEC_REGISTRY, CREDS_PROVIDER, PROXY_AUTH_STATE, SCHEME_REGISTRY, TARGET_AUTH_STATE, USER_TOKEN`

Constructor Summary
`ClientContextConfigurer(HttpContext context)`

Method Summary
`void` | `setAuthSchemeRegistry(AuthSchemeRegistry registry)`
`void` | `setCookieSpecRegistry(CookieSpecRegistry registry)`
`void` | `setCookieStore(CookieStore store)`
`void` | `setCredentialsProvider(CredentialsProvider provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientContextConfigurer

    public ClientContextConfigurer(HttpContext context)

Method Detail

### setCookieSpecRegistry

    public void setCookieSpecRegistry(CookieSpecRegistry registry)

### setAuthSchemeRegistry

    public void setAuthSchemeRegistry(AuthSchemeRegistry registry)

### setCookieStore

    public void setCookieStore(CookieStore store)

### setCredentialsProvider

    public void setCredentialsProvider(CredentialsProvider provider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.